Page MenuHomePhabricator

Homepage: setup mentors signup wiki pages
Closed, ResolvedPublic

Description

As defined in T216631, the homepage mentorship's module shows a new user their mentor. Mentors are assigned at random by the software based on a list of volunteers on a wiki page. This task is about discussing and setting up those pages on the target wikis (cs, ko, vi).

We propose that this page be a new page where users sign up to be mentors by adding a link to their userpage (format is ([[User:Foobar]]). It is important that it is a link and not just a signature for us to be able to parse the list reliably. Users are free to add and remove themselves. That page can be anywhere on the wiki.

It is probably a good idea that this page has a header that explain what it is, how to use it, and what it means to be a mentor but I'll let others discuss what that can look like.

We think about a limitation: only people who are autoconfirm can edit that page. It would avoid less experienced users to sign-up.


Event Timeline

SBisson created this task.Mar 13 2019, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2019, 5:41 PM
MMiller_WMF renamed this task from Setup mentors signup wiki pages to Homepage: setup mentors signup wiki pages.Mar 13 2019, 5:51 PM
MMiller_WMF assigned this task to Trizek-WMF.

@Trizek-WMF is going to help us gather information about this from our target wikis.

Trizek-WMF updated the task description. (Show Details)Mar 13 2019, 5:55 PM

@Urbanecm and @revi, any opinions?

To clarify, the link to the user page would have to be a wiki link ([[User:Foobar]]), not an external link ([https://xyz.wikipedia.org/wiki/User:Foobar])

Trizek-WMF updated the task description. (Show Details)Mar 14 2019, 1:18 PM

An example of a similar page (that works using a different process): https://fr.wikipedia.org/wiki/Projet:Aide_et_accueil/Signatures

I've inicialized the page for cswiki, see https://cs.wikipedia.org/wiki/Wikipedie:Pot%C5%99ebuji_pomoc/Mento%C5%99i. I've also protected it per @Trizek-WMF recommendation from our meeting. Currently it contains only my username, I'm going to ask other users to sign up, so it will contain some more names hopefully :-).

Trizek-WMF triaged this task as Normal priority.Mar 18 2019, 10:26 AM
revi added a comment.EditedMar 19 2019, 2:45 PM

There is a similar (currently inactive) "Wikipedia Maintenance Team" initiative, I was initially thinking of a list like their membership list (preview it), but seems like it is too complicated for our use. I think we'll need a new page.

revi moved this task from Incoming to Radar on the User-revi board.Mar 19 2019, 2:45 PM

I think we'll need a new page.

I think so too.

@revi -- yes, please do create that page, and let us know the URL!

Trizek-WMF updated the task description. (Show Details)Mar 26 2019, 1:28 PM
revi added a comment.Mar 26 2019, 2:23 PM

Sorry, forgot to create one. Will do so in a few minutes :-O

revi updated the task description. (Show Details)Mar 26 2019, 2:51 PM

We went over this in Grooming, and the engineers are waiting to proceed on this until we have the Viet. link. @Trizek-WMF

Trizek-WMF raised the priority of this task from Normal to High.Apr 3 2019, 6:44 PM

I've pinged Tuanminh01 for Vietnamese input.

Urbanecm updated the task description. (Show Details)Apr 10 2019, 7:21 AM

@Trizek-WMF -- a reminder that this is blocking our ability to deploy the homepage to Vietnamese Wikipedia.

I'm currently translating messages into Basque. It would be interesting to setup this also in Basque Wikipedia.

Theklan updated the task description. (Show Details)May 16 2019, 10:09 AM

We won't deploy it until you have reached a community consensus, with a community well informed about the principles, the requirements and the limitations of the tools. :)

Trizek-WMF updated the task description. (Show Details)May 17 2019, 8:15 PM

I've removed the link for Basque, since a different process will be used.

Trizek-WMF closed this task as Resolved.Jun 18 2019, 12:07 PM
Trizek-WMF updated the task description. (Show Details)

Change 519080 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable GrowthExperiments homepage on viwiki

https://gerrit.wikimedia.org/r/519080

Change 519080 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments homepage on viwiki

https://gerrit.wikimedia.org/r/519080

Mentioned in SAL (#wikimedia-operations) [2019-07-01T18:29:22Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable Special:Homepage on viwiki (T218237) (duration: 00m 49s)

MMiller_WMF updated the task description. (Show Details)Wed, Jul 17, 5:08 PM